Mobile Processing Lab - Kerbals on one ladder fail to transition to ladders on attached parts
Description

Description:

Kerbals on one side of the MPL (adjacent to the flag) can be moved to ladders on attached parts smoothly and easily.

Kerbals the other side of the MPL can be moved to ladders on attached parts with difficulty, changing orientation and direction just at
the point one would expect them to smoothly transition from one ladder to the other.

Steps to replicate:

e Start new sandbox game

Enter the VAB

Place a PPD-10 Hitchhiker Storage Container

Select a Mobile Processing Lab MPL-LG-2

Rotate the MPL about its vertical axis by 180 degrees
Place this MPL on the bottom of the PPD-10

Place a second PPD-10 on the bottom of the MPL
Add a Kerbal or two to the MPL

e Launch
¢ Click on the MPL hatch on the same side as the PPD-10 hatches

e EVA a Kerbal
¢ Move the Kerbal up or down, towards either of the PPD-10 hatches

Expected Behaviour:

The Kerbal smoothly transfers from the MPL ladder to either PPD-10 ladder, remaining upright.

Unexpected Behaviour:
The Kerbal gets to a PPD-10 ladder, turns upside-down, changes direction and (more often than not) remains on the MPL ladder.

Moving the Kerbal from the MPL ladder to either of the PPD-10 ladders can sometimes be achieved, after multiple repeated attempts
(and what looks like a bizarre gymnastics routine.)

Additional Note:

If the above construction steps are followed, omitting the 180-degree rotation of the MPL, Kerbals transition between ladders as
expected. The unexpected behaviour only manifests on the side of the MPL opposite the flag location.

This suggests that the ladders on opposite sides of the MPL differ in some way, counter to expectation.

History

#1 - 07/14/2020 03:03 AM - kayelem
- File MPL Test 2a.craft added
- File MPL Test 2b.craft added

The unexpected ladder behaviour can also be demonstrated with the second attached craft, which differs only slightly from the first, in that the ladders

adjacent to the MPL have been rotated slightly away from vertical.
MPL Test 2a.craft
e Kerbals exiting from either hatch move between ladders smoothly
MPL Test 2b.craft
* Same craft as 2a with the ladders adjacent to the MPL rotated by 5 degrees

e Kerbal on ladder adjacent to flag moves between ladders smoothly
¢ Kerbal on ladder opposite flag exhibits unexpected behaviour

#2 - 07/16/2020 03:35 PM - Robert.Keech
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#4 - 07/27/2020 12:25 PM - hihosilver28
- File Eveolution-Pt I.craft added

| encountered the same issue with the ladders. In my case it seemed to affect whether the ladder was in the "standard" orientation or "upside-down".
When the Kerbal encountered a ladder that was "upside-down" the Kerbal would flip. In the attached craft, the very first ladder below the command

pod displays this behavior.

Files

MPL Test 1a.craft 6.57 KB 07/14/2020 kayelem
MPL Test 1b.craft 6.56 KB 07/14/2020 kayelem
MPL Test 2a.craft 19.1 KB 07/14/2020 kayelem
MPL Test 2b.craft 19.6 KB 07/14/2020 kayelem
Eveolution-Pt I.craft 530 KB 07/27/2020 hihosilver28
